<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CCAT</title>
    <link rel="stylesheet" 
    href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" 
    integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" 
    crossorigin="anonymous">
    <link rel="stylesheet" href="addEventos.css">
</head>
<body>
    <div>
        <a href="proxEventos.html">Ver Próximos Eventos</a>
    </div>
    <!-- DIV Principal -->
    <div class="prox_eventos" id="app">
        <!-- Agregar Eventos -->
        <div class="main_add_event">
            <button type="button" class="btn btn-success" id="button-plus" @click="btnCambiarEstado">
                <img src="img/plus.PNG" alt="">
            </button>
            <!-- <form action=""> -->
                <div class="addEvento" id="addEvent2">
                    <div class="addEvent-inputs">
                        <input type="text" class="form-control my-3" v-model="nuevoEvento.tema" 
                        placeholder="Tema" required>
                        <input type="text" class="form-control my-3" v-model="nuevoEvento.expositor" 
                        placeholder="Expositor" required>
                        <input type="date" class="form-control my-3" v-model="nuevoEvento.fecha" 
                        placeholder="Fecha" required>
                        <input type="url" class="form-control my-3" v-model="nuevoEvento.url" 
                        placeholder="URL: Facebook/pagweb" pattern="https://.*" required>
                        <button class="btn btn-primary" id="btn_guardar" @click="agregarEvento">
                            Guardar
                        </button>
                    </div>
                    <div class="addEvent-img">
                        <label for="uploadImage">Subir foto: </label>
                        <input type="file" name="imgSubida" id="uploadImage" accept="image/png, .jpeg, .jpg, image/gif">
                        <div id="preview-img" class="image-preview"></div>
                    </div>
                    <button type="button" class="btn btn-danger" id="button-close" @click="btnClose">
                        Cerrar
                    </button>
                </div>
            <!-- </form> -->
            <div class="mt-3" v-for="(evento, index) of eventos">
                <div role="alert" :class="{'alert':true, 'alert-success': evento.estado, 'alert-danger': !evento.estado}">
                    <div class="d-flex justify-content-between align-items-center">
                        <div>
                            {{index + 1}} - {{evento.nombre}} - {{evento.estado}}
                        </div>
                        <div>
                            <button class="btn btn-success btn-sm" @click="cambiar(index)">
                                <img src="img/pencil.PNG" alt="">
                            </button>
                            <button class="btn btn-danger btn-sm" @click="eliminar(index)">
                                <img src="img/trash.png" alt="">
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- development version, includes helpful console warnings -->
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="addEventos.js"></script>
</body>
</html>